<?php

namespace Application\Service\Exceptions;


use Throwable;

class DbException extends \Exception
{
    public string $executeSql = '';

    public function __construct($message = "", $executeSql = '', $code = 0, Throwable $previous = null)
    {
        parent::__construct($message, $code, $previous);
        $this->executeSql = $executeSql;
    }

    /**
     * @return string
     */
    public function getExecuteSql(): string
    {
        return $this->executeSql;
    }
}
